Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.element
Interface ManagedBean

All Known Implementing Classes:
  ManagedBean

public interface ManagedBean

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static int` | `INIT_MODE_LIST`
`static int` | `INIT_MODE_MAP`
`static int` | `INIT_MODE_NO_INIT`
`static int` | `INIT_MODE_PROPERTIES`

Method Summary
`int` | `getInitMode()`
`ListEntries` | `getListEntries()`
`java.lang.Class` | `getManagedBeanClass()`
`java.lang.String` | `getManagedBeanClassName()`
`java.lang.String` | `getManagedBeanName()`
`java.lang.String` | `getManagedBeanScope()`
`java.util.Iterator` | `getManagedProperties()`
`MapEntries` | `getMapEntries()`

Field Detail

### INIT_MODE_NO_INIT

    public static final int INIT_MODE_NO_INIT

See Also:
  Constant Field Values

### INIT_MODE_PROPERTIES

    public static final int INIT_MODE_PROPERTIES

See Also:
  Constant Field Values

### INIT_MODE_MAP

    public static final int INIT_MODE_MAP

See Also:
  Constant Field Values

### INIT_MODE_LIST

    public static final int INIT_MODE_LIST

See Also:
  Constant Field Values

Method Detail

### getManagedBeanName

    public java.lang.String getManagedBeanName()

### getManagedBeanClassName

    public java.lang.String getManagedBeanClassName()

### getManagedBeanClass

    public java.lang.Class getManagedBeanClass()

### getManagedBeanScope

    public java.lang.String getManagedBeanScope()

### getInitMode

    public int getInitMode()

### getManagedProperties

    public java.util.Iterator getManagedProperties()

  Returns:
    Iterator over `ManagedProperty` entries

### getMapEntries

    public MapEntries getMapEntries()

### getListEntries

    public ListEntries getListEntries()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD